.form{
    input, label, textarea{
        font-family: $font;
        font-size: 14px;
        line-height: 120%;
        width: 100%;
        @include sm {
            font-size: 18px;
        }
        @include md {
            font-size: 16px;
        }
        @include lg {
            font-size: 18px;
        }
        @include xl {
            font-size: 24px;
        }
    }
    &-input{
        display: block;
        background: transparent;
        color: $white;
        padding: 20px;
        margin-bottom: 20px;
        border: none;
        border-bottom: 1px solid $inputColor;
        transition: $transition;
        @include sm {
            padding: 24px 30px;
            margin-bottom: 14px;
            max-width: 480px;
            border-width: 2px;
        }
        @include md {
            max-width: 100%;
            margin-bottom: 24px;
        }
        @include lg {
            padding: 24px 30px;
            margin-bottom: 14px;
            width: 72%;
        }
        @include xl {
            padding: 32px 38px;
            margin-bottom: 25px;
            border-width: 3px;
        }
        &:hover, &:focus{
            border-color: $white;
        }
        &::-webkit-input-placeholder {
            color: $inputColor;
        }
        &::-moz-placeholder {
            color: $inputColor;
        }
        &:-ms-input-placeholder {
            color: $inputColor;
        }
        &:-moz-placeholder {
            color: $inputColor;
        }

    }
    label.form-input{
        border: none;
        color: $inputColor;
        margin-bottom: 0;
    }
    &-textarea{
        color: $white;
        resize: vertical;
        display: block;
        background: transparent;
        width: 100%;
        height: 160px;
        padding: 20px;
        margin-bottom: 20px;
        border: 1px solid $inputColor;
        transition: $transition;
        resize: none;
        @include sm {
            padding: 30px;
            margin-bottom: 40px;
            border-width: 2px;
        }
        @include md {
            padding: 30px;
        }
        @include lg {
            padding: 30px;
        }
        @include xl {
            height: 214px;
            padding: 40px;
            margin-bottom: 60px;
            border-width: 3px;
        }
        &:hover, &:focus{
            border-color: $white;
        }
        &::placeholder{
            color: $inputColor;
            @include sm {
                padding-right: 70px;
            }
            @include md {
                padding-right: 0;
            }
            @include lg {
                padding-right: 80px;
            }
            @include xl {
                padding-right: 110px;
            }
        }
    }
    &-btn{
        background: transparent;
        border: none;
        &.link{
            font-family: $font !important;
            @include lg {
                font-size: 18px;
            }
            @include md {
                font-size: 16px;
            }
        }
    }
    
}